Security Enhanced Linux Reference Policy

# Layer: system

## Module: miscfiles

Interfaces

### Description:

Miscelaneous files.

### Interfaces:

miscfiles_delete_man_pages( domain )

##### Summary

Delete man pages

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_domain_entry_test_files( domain )

##### Summary

Let test files be an entry point for a specified domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to be entered.

miscfiles_dontaudit_search_man_pages( domain )

##### Summary

Do not audit attempts to search man pages.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

miscfiles_dontaudit_write_fonts( domain )

##### Summary

Do not audit attempts to write fonts.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_etc_filetrans_localization( domain )

##### Summary

Execute test files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_exec_test_files( domain )

##### Summary

Execute test files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_exec_tetex_data( domain )

##### Summary

Execute TeX data programs in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_legacy_read_localization( domain )

##### Summary

Allow process to read legacy time localization info

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_manage_cert_dirs( domain )

##### Summary

manange system SSL certificates.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_manage_cert_files( domain )

##### Summary

manange system SSL certificates.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_manage_fonts( domain )

##### Summary

Create, read, write, and delete fonts.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_manage_localization( domain )

##### Summary

Create, read, write, and delete localization

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_manage_man_pages( domain )

##### Summary

Create, read, write, and delete man pages

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_manage_public_files( domain )

##### Summary

Create, read, write, and delete public files and directories used for file transfer services.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_read_certs( domain )

##### Summary

Read system SSL certificates.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_read_fonts( domain )

##### Summary

Read fonts.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_read_hwdata( domain )

##### Summary

Read hardware identification data.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_read_localization( domain )

##### Summary

Allow process to read localization info

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_read_man_pages( domain )

##### Summary

Read man pages

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_read_public_files( domain )

##### Summary

Read public files used for file transfer services.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_read_test_files( domain )

##### Summary

Read test files and directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_read_tetex_data( domain )

##### Summary

Read TeX data

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_relabel_localization( domain )

##### Summary

Allow process to relabel localization info

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_rw_localization( domain )

##### Summary

Allow process to write localization info

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_setattr_localization( domain )

##### Summary

Allow process to setattr localization info

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return